
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.zip.GZIPInputStream;

public class Purkaja {

    public List<String> pura(String tiedosto) throws IOException {
        byte[] sisalto = Files.readAllBytes(Paths.get(tiedosto));

        ByteArrayInputStream bis = new ByteArrayInputStream(sisalto);
        GZIPInputStream gis = new GZIPInputStream(bis);
        BufferedReader br = new BufferedReader(new InputStreamReader(gis, "UTF-8"));
        List<String> rivit = new ArrayList<>();
        String rivi;
        while ((rivi = br.readLine()) != null) {
            rivit.add(rivi);
        }
        br.close();
        gis.close();
        bis.close();
        return rivit;
    }
}
